Generate a terms of service token | Moov Documentation

Generate a terms of service token

Terms of service Drop
Use Moov.js Drops as an alternative to the API. Drops are customizable, pre-built UI components with error handling and secure PII data collection.

View pre-built Moov.js UI

Generates a non-expiring token that can then be used to accept Moov's terms of service.

This token can only be generated via API. Any Moov account requesting the collect funds, send funds, wallet, or card issuing capabilities must accept Moov's terms of service, then have the generated terms of service token patched to the account. Read more in our documentation.

API Endpoint

GET
/tos-token

Request Example

curl -X GET "https://api.moov.io/tos-token" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

SDK Examples

Go

mc, _ := moov.NewClient()

mc.AccountCreationToken(ctx)

TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.accounts.getTermsOfServiceToken({});

console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->accounts->getTermsOfServiceToken(

);

if ($response->termsOfServiceToken !== null) {
    // handle response
}

Java

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetTermsOfServiceTokenResponse;
import java.lang.Exception;

public class Application {
    public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetTermsOfServiceTokenResponse res = sdk.accounts().getTermsOfServiceToken()
                .call();

if (res.termsOfServiceToken().isPresent()) {
            System.out.println(res.termsOfServiceToken().get());
        }
    }
}

Python

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.accounts.get_terms_of_service_token()

# Handle response
    print(res)

Ruby

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.accounts.get_terms_of_service_token

unless res.terms_of_service_token.nil?
  # handle response
end

C#

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Accounts.GetTermsOfServiceTokenAsync();

// handle response

Response Example

An encrypted value used to record acceptance of Moov's Terms of Service.

{
  "token": "kgT1uxoMAk7QKuyJcmQE8nqW_HjpyuXBabiXPi6T83fUQoxsyWYPcYzuHQTqrt7YRp4gCwyDQvb6U5REM9Pgl2EloCe35t-eiMAbUWGo3Kerxme6aqNcKrP_6-v0MTXViOEJ96IBxPFTvMV7EROI2dq3u4e-x4BbGSCedAX-ViAQND6hcreCDXwrO6sHuzh5Xi2IzSqZHxaovnWEboaxuZKRJkA3dsFID6fzitMpm2qrOh4"
}

Response Headers

A unique identifier used to trace requests.

Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.04.00

Indicates the domain from which the request originated. Required if referer header is not present.

Specifies the URL of the resource from which the request originated. Required if origin header is not present.

An encrypted value used to record acceptance of Moov's Terms of Service.